Subject: bug#63077: [PATCH] gnu: gnutls: skip examples on mingw.

From: Vivien Kraus <[email-masked]>
Date: Mon, 11 Mar 2024 18:47:44 +0100

Hello,

Le vendredi 08 mars 2024 à 18:22 +0100, Simon Tournier a écrit :
> > > +               #$@(if (target-mingw?)
> > > +                      #~((add-after 'unpack 'skip-doc-examples
> > > +                           ;; The examples in doc do not link to
> > > correct
> > > +                           ;; gnulib modules.
> > > +                           (lambda _
> > > +                             (substitute* "doc/Makefile.in"
> > > +                               (("SUBDIRS = examples")
> > > +                                "SUBDIRS =")))))
> > > +                      #~())
> > 
> > Did you report it upstream?  Perhaps they'd know how to properly
> > fix it.
> 
> Digging all bugs, what about this?
> 
> It could be nice if it is fixed upstream.  On the other, we could
> also
> apply a fix waiting such fix.

I reported it, and I believe upstream fixed it:

https://gitlab.com/gnutls/gnutls/-/merge_requests/1761/diffs?commit_id=5db0db2e83da54d799f55984dc33039d6b22c933

However it’s difficult to check because libidn2 fails (maybe the more
recent 2.3.7 does not).  This libidn2 failure seems to have been
reported here:

https://gitlab.com/libidn/libidn2/-/issues/113

I notice that libidn2 uses its own libunistring instead of the guix’
one, because libunistring is not an input of libidn2.  Is this intended
to avoid a cycle?

Best regards,

Vivien